function searchMemes() {
  let st = document.getElementById("searchTerm").value;
  let url = 'http://localhost/memes/search/' + st;
  console.log(url);
  fetch(url).then((response) => {
    console.log('HERE 1');
    return response.text();
  }).then((text) => { 
    console.log('HERE 2');
    document.getElementById('theMemes').innerHTML = text;
  }).catch( (error) => {
    console.log(error);
  });
}

function loadAllMemes() {
  let url = 'http://localhost/memes/get';
  fetch(url).then((response) => {
    return response.text();
  }).then((text) =>{ 
    document.getElementById('theMemes').innerHTML = text;
  }).catch( (error) => {
    console.log(error);
  });
}

window.onload = loadAllMemes();

function createMeme() {
  var type = document.getElementById('memeType').value;
  var topText = document.getElementById('top').value;
  var bottomText = document.getElementById('bottom').value;
  let url = 'http://localhost:80/creatememe/' + type + '/' +topText + '/' + bottomText;
 
  fetch(url).then((response) => {
    return response.text();
  }).then((text) => { 
    document.getElementById('thePicture').src = text;
  }).catch( (error) => {
    console.log('THERE WAS A PROBLEM');
    console.log(error);
  });
}

function sendName() {
  let info = {name: 'Ben'};

  let p = fetch('http://localhost/some/route', {
    method: 'POST',
    body: JSON.stringify(info),
    headers: { 'Content-Type': 'application/json'}
  });

  p.then((response) => {
    return response.text();
  }).then((text) => {
    console.log(text);
  }); // What about the errors?
}

